Summary:	PowerTOP - tool that finds the software component(s) that make your laptop use more power
Summary(pl.UTF-8):	PowerTOP - narzędzie wykrywające programy zwiększające pobór energii laptopa
Name:		powertop
Version:	2.7
Release:	1
License:	GPL v2
Group:		Applications
Source0:	https://01.org/sites/default/files/downloads/powertop/%{name}-%{version}.tar.gz
# Source0-md5:	e0d686e47daaf7e9d89031f7763432ef
URL:		https://01.org/powertop/
BuildRequires:	autoconf >= 2.68
BuildRequires:	automake
BuildRequires:	gettext-tools >= 0.18
BuildRequires:	libnl-devel
BuildRequires:	libstdc++-devel
BuildRequires:	libtool
BuildRequires:	ncurses-devel
BuildRequires:	pciutils-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
PowerTOP is a Linux tool that finds the software component(s) that
make your laptop use more power than necessary while it is idle. As of
Linux kernel version 2.6.21, the kernel no longer has a fixed 1000Hz
timer tick. This will (in theory) give a huge power savings because
the CPU stays in low power mode for longer periods of time during
system idle.

However... there are many things that can ruin the party, both inside
the kernel and in userspace. PowerTOP combines various sources of
information from the kernel into one convenient screen so that you can
see how well your system is doing, and which components are the
biggest problem.

%description -l pl.UTF-8
PowerTOP to narzędzie linuksowe znajdujące programy zwiększające pobór
energii laptopa w czasie bezczynności. Od wersji 2.6.21 jądro Linuksa
już nie ma stałej częstotliwości zegara 1000Hz. Daje to (w teorii)
dużą oszczędność energii, ponieważ procesor pozostaje w trybie małego
poboru energii na dłuższe okresy czasu podczas bezczynności systemu.

Jednak jest wiele elementów, które mogą zrujnować tę właściwość,
zarówno w jądrze, jak i przestrzeni użytkownika. PowerTOP łączy różne
źródła informacji z jądra w jeden wygodny ekran pozwalający obejrzeć,
jak dobrze system się sprawuje i które komponenty stanowią największy
problem.

%prep
%setup -q

%build
%{__gettextize}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	CPPFLAGS="%{rpmcppflags} -I/usr/include/ncurses" \
	--disable-silent-rules
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT/var/cache/powertop
touch $RPM_BUILD_ROOT/var/cache/powertop/saved_parameters.powertop

# fix locales names
mv $RPM_BUILD_ROOT%{_localedir}/cs{_CZ,}
mv $RPM_BUILD_ROOT%{_localedir}/de{_DE,}
mv $RPM_BUILD_ROOT%{_localedir}/es{_ES,}
mv $RPM_BUILD_ROOT%{_localedir}/hu{_HU,}
mv $RPM_BUILD_ROOT%{_localedir}/id{_ID,}
mv $RPM_BUILD_ROOT%{_localedir}/nl{_NL,}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc README TODO
%attr(755,root,root) %{_sbindir}/powertop
%{_mandir}/man8/powertop.8*
%dir /var/cache/powertop
%ghost /var/cache/powertop/saved_parameters.powertop
%changelog
* Mon Jul 27 2015 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/powertop.git;a=log;h=master

* Mon Jan 05 2015 Jan Palus <atler@pld-linux.org> e10d5d9
- up to 2.7

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> 9f4f7fe
- updated gettext BR

* Sat May 31 2014 Jan Palus <atler@pld-linux.org> 85440f9
- up to 2.6.1

* Sat May 17 2014 Jan Palus <atler@pld-linux.org> 17f7ca6
- up to 2.6
- update source url
- run autotools

* Sat Nov 23 2013 Łukasz Kieś <kiesiu@pld-linux.org> 6be850d
- updated to 2.5

* Wed Aug 28 2013 Andrzej Zawadzki <zawadaa@pld-linux.org> 8c658bf
- up to 2.4

* Tue Jun 25 2013 Andrzej Zawadzki <zawadaa@pld-linux.org> 38b5543
- up to 2.3

* Tue Mar 05 2013 Elan Ruusamäe <glen@delfi.ee> 763d66b
- release 3 (by relup.sh)

* Tue Mar 05 2013 Elan Ruusamäe <glen@delfi.ee> 53298f7
- package cache dir and ghosted cache file

* Sun Feb 03 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 873ed64
- release 2 (by relup.sh)

* Mon Jan 21 2013 Łukasz Kieś <kiesiu@pld-linux.org> 230b842
- updated to 2.2

* Sun Jan 13 2013 Jan Rękorajski <baggins@pld-linux.org> db261e5
- release 3 (by relup.sh)

* Sun Sep 09 2012 Łukasz Kieś <kiesiu@pld-linux.org> 11dd99d
- fixed locals names; rel. 2

* Sun Sep 09 2012 Łukasz Kieś <kiesiu@pld-linux.org> 768ae65
- updated to 2.1
- updated BRs, packaged man and locales files

* Fri May 11 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 1160b78
- up to 2.0

* Thu Sep 01 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 9bb1df9
- release 2

* Fri Aug 13 2010 Karol Krenski <charles@pld-linux.org> d0f955d
- updated to 1.13

* Wed Feb 18 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 040b8f2
- release 2

* Mon Feb 09 2009 Adam Gołębiowski <adamg@pld-linux.org> 76fd131
- updated to 1.11

* Wed Aug 27 2008 dzeus <dzeus@pld-linux.org> 12ad88d
- up to 1.10, new homepage URL

